<script setup lang="ts">
const { t } = useI18n();
useSeoMeta({
  title: computed(() => t("projectsSeo.title")),
  description: computed(() => t("projectsSeo.description")),
  ogTitle: computed(() => t("projectsSeo.ogTitle")),
  ogDescription: computed(() => t("projectsSeo.ogDescription")),
  keywords: computed(() => t("projectsSeo.keywords")),
});
</script>
<template>
  <main>
    <LazyInternalHeaderSection
      video-url="/videos/our-projects.mp4"
      :pages="[{ name: t('ourProjects') }]"
    >
      <template #title>
        <h1>{{ $t("ourProjectsHero.title") }}</h1>
      </template>
      <template #button>
        <NuxtLinkLocale to="/contact">
          <MainButton :contnet="$t('ourProjectsHero.button')" />
        </NuxtLinkLocale>
      </template>
    </LazyInternalHeaderSection>
    <section id="projects" class="pt-section bg-gradient-odd">
      <ProjectsDisplayProjects />
    </section>
  </main>
</template>
